데이터셋 상세
curl --request GET \
--url https://api.example.com/v1/datasets/{dataset_id}import requests
url = "https://api.example.com/v1/datasets/{dataset_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Datasets
데이터셋 상세
하나 메타데이터.
GET
/
v1
/
datasets
/
{dataset_id}
데이터셋 상세
GET https://api-datahub.octoparse.com/v1/datasets/{dataset_id}
인증: API 키 필요(Authorization: Bearer <API Key>).
데이터셋 하나 메타데이터. 비가시는 없음과 비공개를 구분하지 않고 404.
요청
경로 파라미터
string
필수
데이터셋 id.
요청 예시
curl -H "Authorization: Bearer $OCTOPARSE_API_KEY" "https://api-datahub.octoparse.com/v1/datasets/ds_0bd5345d13d0"
응답
200 성공
{
"data": {
"dataset_id": "ds_0bd5345d13d0",
"row_count": 120,
"retained": false,
"created_at": "2026-09-01T08:00:00+00:00",
"expires_at": "2026-12-01T08:00:00+00:00"
}
}
오류
| HTTP | code | category | 설명 |
|---|---|---|---|
| 401 | unauthorized | forbidden | API 키 누락 또는 무효. |
| 404 | dataset-not-found | not_found | 데이터셋 없거나 비가시. |
{"error": {code, category, message, retryable}}입니다. 오류 참고.